Bug 951276 - "ValueError: invalid target size request" when selecting preinstalled NTFS partition in custom partitioning
Summary: "ValueError: invalid target size request" when selecting preinstalled NTFS pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-11 23:15 UTC by T.C. Hollingsworth
Modified: 2013-04-19 05:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-19 05:48:35 UTC


Attachments (Terms of Use)
anaconda traceback (556.90 KB, text/plain)
2013-04-11 23:15 UTC, T.C. Hollingsworth
no flags Details
anaconda.log (27.62 KB, text/plain)
2013-04-11 23:15 UTC, T.C. Hollingsworth
no flags Details
ifcfg.log (654 bytes, text/plain)
2013-04-11 23:16 UTC, T.C. Hollingsworth
no flags Details
program.log (51.68 KB, text/plain)
2013-04-11 23:17 UTC, T.C. Hollingsworth
no flags Details
storage.log (185.97 KB, text/plain)
2013-04-11 23:18 UTC, T.C. Hollingsworth
no flags Details

Description T.C. Hollingsworth 2013-04-11 23:15:09 UTC
Created attachment 734463 [details]
anaconda traceback

When running liveinst from the Fedora 19 Alpha TC2 KDE Live, I get a traceback immediately upon entering Custom Partitioning and expanding the other OS partitions lists.  (This machine currently has the default partition layout for a brand new Dell laptop, e.g. ESP + NTFS + FAT32 recoverycrap.)

Comment 1 T.C. Hollingsworth 2013-04-11 23:15:49 UTC
Created attachment 734464 [details]
anaconda.log

Comment 2 T.C. Hollingsworth 2013-04-11 23:16:13 UTC
Created attachment 734465 [details]
ifcfg.log

Comment 3 T.C. Hollingsworth 2013-04-11 23:17:15 UTC
Created attachment 734466 [details]
program.log

Comment 4 T.C. Hollingsworth 2013-04-11 23:18:31 UTC
Created attachment 734467 [details]
storage.log

Comment 5 T.C. Hollingsworth 2013-04-11 23:24:59 UTC
Actually, this occurs when I click on the primary NTFS partition of the preinstalled Windows installation.  I had to blow away this partition with parted to get around it and proceed with installation.

Comment 6 T.C. Hollingsworth 2013-04-12 01:27:30 UTC
Sorry, I meant F19 Alpha RC2.

Comment 7 T.C. Hollingsworth 2013-04-13 02:57:52 UTC
Proposing as a Fedora 19 Beta Blocker because it violates criterion 10: "The installer's custom partitioning mode must be capable of the following: Creating, destroying and assigning mount points to partitions of any specified size using most commonly-used filesystem types".

Also proposing as an F19 Alpha Freeze Exception because it's similar to bug 950700 in that it's a custom partitioning issue but one somewhat likely to be hit, assuming it affects all systems with Windows 8 preinstalled.

Comment 8 Adam Williamson 2013-04-15 16:53:23 UTC
Discussed at 2013-04-15 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-04-15/f19alpha-blocker-review-7.2013-04-15-16.00.log.txt . Rejected as an FE issue: it's quite late at this point and we want to be safe, this patch is as-yet untested and touches partitioning code, so could _theoretically_ break something worse.

Comment 9 Fedora Update System 2013-04-15 21:01:35 UTC
python-blivet-0.11-1.fc19,anaconda-19.19-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.11-1.fc19,anaconda-19.19-1.fc19

Comment 10 Fedora Update System 2013-04-16 16:10:58 UTC
Package python-blivet-0.11-1.fc19, anaconda-19.19-1.fc19, lorax-19.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.11-1.fc19 anaconda-19.19-1.fc19 lorax-19.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5795/lorax-19.2-1.fc19,python-blivet-0.11-1.fc19,anaconda-19.19-1.fc19
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-04-17 16:27:24 UTC
Package python-blivet-0.11-1.fc19, lorax-19.2-1.fc19, anaconda-19.20-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.11-1.fc19 lorax-19.2-1.fc19 anaconda-19.20-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5795/lorax-19.2-1.fc19,python-blivet-0.11-1.fc19,anaconda-19.20-1.fc19
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2013-04-19 05:48:38 UTC
python-blivet-0.11-1.fc19, lorax-19.2-1.fc19, anaconda-19.20-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.